Skip to main content
GET
/
v2
/
time-clock
/
management
/
map-punches
Retorna batidas geolocalizadas da equipe para visualização em mapa
curl --request GET \
  --url https://app.tarefy.com/nodeapi/v2/time-clock/management/map-punches \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.tarefy.com/nodeapi/v2/time-clock/management/map-punches"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.tarefy.com/nodeapi/v2/time-clock/management/map-punches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "entry_id": 123,
    "user": {
      "id": 990,
      "name": "Maria Silva",
      "photo": "<string>",
      "email": "maria@tarefy.com"
    },
    "date": "2026-06-10",
    "time": "09:00",
    "punched_at": "2026-06-16T09:00:00.000Z",
    "type": "ENTRADA",
    "type_label": "Entrada",
    "latitude": -23.5617,
    "longitude": -46.6254,
    "accuracy_meters": 12,
    "distance_meters": 180,
    "geofence_status": "outside",
    "geofence_reference": {
      "latitude": -23.6190278,
      "longitude": -46.6995833,
      "address": "Sede Tarefy"
    },
    "address": "Rua Teste, 123"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startDate
string<date>

Data inicial do período. Quando omitida, usa o dia atual.

Example:

"2026-06-10"

endDate
string<date>

Data final do período. Quando omitida, usa a data inicial.

Example:

"2026-06-12"

userId
integer

Filtra por colaborador com jornada ativa.

Example:

990

status
enum<string>

Filtra pelo status de geofence. Default all.

Available options:
all,
inside,
outside,
remote,
exempt
Example:

"outside"

Response

200 - application/json

Batidas geolocalizadas retornadas com sucesso

entry_id
integer
Example:

123

user
object
date
string
Example:

"2026-06-10"

time
string
Example:

"09:00"

punched_at
string
Example:

"2026-06-16T09:00:00.000Z"

type
string
Example:

"ENTRADA"

type_label
string
Example:

"Entrada"

latitude
number
Example:

-23.5617

longitude
number
Example:

-46.6254

accuracy_meters
integer | null
Example:

12

distance_meters
integer | null
Example:

180

geofence_status
string | null
Example:

"outside"

geofence_reference
object | null
address
string | null
Example:

"Rua Teste, 123"